--- title: "Get application" slug: "get-application" tags: ["Ncloud Single Sign-On"] updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/get-application" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get application Available in Classic and VPC Get details of an application. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/applications/{applicationId} | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `applicationId` | String | Required | Application ID - See [Get application list](/docs/en/get-applications). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/applications/88d2009c-****-****-****-59bf9afd5695' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `applicationId` | String | - | Application ID | | `name` | String | - | Application name | | `description` | String | - | Application description | | `applicationUrl` | String | - | Application shortcut URL | | `applicationType` | String | - | Application type - `web` \| `app` - `web`: Web - `app`: App | | `mbrLoginAllow` | String | - | Whether to allow main account login - `ALLOW` \| `DENY` - `ALLOW`: Allow - `DENY`: Deny | | `createdAt` | String | - | Application creation date and time - ISO 8601 format - OAuth 2.0 | | `updatedAt` | String | - | Application modification date and time - ISO 8601 format - OAuth 2.0 | | `clientId` | String | - | Application client ID - OAuth 2.0 | | `clientAuthMethod` | String | - | Application authentication method - `client_secret_basic` \| `client_secret_post` \| `none` - `client_secret_basic`: Client credentials are passed as HTTP basic authentication header. - `client_secret_post`: Client ID and secret are included in the POST request body. - `none`: No authentication - OAuth 2.0 | | `redirectUris` | Array | - | Application redirection URI list - OAuth 2.0 | | `postLogoutRedirectUris` | Array | - | List of URIs to which users will be redirected after completing a single logout (SLO) request - OAuth 2.0 | | `accessType` | String | - | Application access method - `confidential` \| `public` - `confidential`: Access after authentication with client ID and secret. - `public`: Access after authentication with client ID. - OAuth 2.0 | | `grantTypes` | Array | - | Authorization method - `authorization_code` \| `refresh_token` \| `implicit` - `authorization_code`: Issue access token with self-generated authorization code. - `refresh_token`: Issue new access token without re-login after the access token expires. - `implicit`: Issue access token directly without authorization code. It is optimized for client environments where it is difficult to securely store credentials. - OAuth 2.0 | | `scopes` | Array | - | Application accessible information range - `profile` \| `openid` \| `groups` \| `email` - `profile`: Account type, login ID, unique member identifier, username - `openid`: Account type, login ID, unique member identifier, username - `groups`: Account type, login ID, unique member identifier, username, group - `email`: Account type, login ID, unique member identifier, username, email - OAuth 2.0 | | `accessTokenValidity` | Number | - | Access token validity time (second) - OAuth 2.0 | | `refreshTokenValidity` | Number | - | Refresh token validity time (second) - OAuth 2.0 | | `consentPage` | Object | - | Personal information provision consent page information | | `consentPage.applicationName` | Object | - | Receiving party information | | `consentPage.applicationName.ko` | String | - | Receiving party (Korean) | | `consentPage.applicationName.en` | String | - | Receiving party (English) | | `consentPage.applicationName.ja` | String | - | Receiving party (Japanese) | | `consentPage.useLanguages` | Array | - | Language used - `ko` \| `en` \| `ja` - `ko`: Korean - `en`: English - `ja`: Japanese | | `consentPage.defaultLanguage` | String | - | Default language - `ko` \| `en` \| `ja` - `ko`: Korean - `en`: English - `ja`: Japanese | | `consentPage.usePurposeDesc` | Object | - | Usage purpose information | | `consentPage.usePurposeDesc.ko` | String | - | Usage purpose (Korean) | | `consentPage.usePurposeDesc.en` | String | - | Usage purpose (English) | | `consentPage.usePurposeDesc.ja` | String | - | Usage purpose (Japanese) | | `consentPage.usePeriodDesc` | Object | - | Retention and usage period information | | `consentPage.usePeriodDesc.ko` | String | - | Retention and usage period information (Korean) | | `consentPage.usePeriodDesc.en` | String | - | Retention and usage period information (English) | | `consentPage.usePeriodDesc.ja` | String | - | Retention and usage period information (Japanese) | | `consentPage.dataTransferAbroad` | Boolean | - | Whether personal information is transferred abroad - `true` \| `false` - `true`: Transferred - `false`: Not transferred | | `consentPage.dataTransferCountry` | Object | - | Transferred country information - Displayed if `dataTransferAbroad` is `true` | | `consentPage.dataTransferCountry.ko` | String | - | Transferred country (Korean) | | `consentPage.dataTransferCountry.en` | String | - | Transferred country (English) | | `consentPage.dataTransferCountry.ja` | String | - | Transferred country (Japanese) | | `consentPage.dataRecipients` | Object | - | Receiving party information - Displayed if `dataTransferAbroad` is `true` | | `consentPage.dataRecipients.ko` | String | - | Receiving corporate name (Korean) | | `consentPage.dataRecipients.en` | String | - | Receiving corporate name (English) | | `consentPage.dataRecipients.ja` | String | - | Receiving corporate name (Japanese) | | `consentPage.dataRecipientsContact` | Object | - | Transferred party contact information - Required if `dataTransferAbroad` is `true` | | `consentPage.dataRecipientsContact.ko` | String | - | Contact information of the personal information admin of the receiving corporation (Korean) | | `consentPage.dataRecipientsContact.en` | String | - | Contact information of the personal information admin of the receiving corporation (English) | | `consentPage.dataRecipientsContact.ja` | String | - | Contact information of the personal information admin of the receiving corporation (Japanese) | | `protocol` | String | - | Application protocol - `OAUTH2`: OAuth 2.0 (valid value) | ### Response status codes For information about the HTTP status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "applicationId" : "88d2009c-****-****-****-59bf9afd5695", "name" : "application000", "description" : "aplication000 description", "applicationUrl" : "http://****.com", "applicationType" : "web", "mbrLoginAllow" : "ALLOW", "createdAt" : "2025-01-17T05:09:54Z", "updatedAt" : "2025-01-17T05:09:54Z", "clientId" : "88d2009c-****-****-****-59bf9afd5695", "clientAuthMethod" : "client_secret_basic", "redirectUris" : [ "http://****.com" ], "postLogoutRedirectUris" : [ "https://****.com" ], "accessType" : "confidential", "grantTypes" : [ "authorization_code", "refresh_token" ], "scopes" : [ "profile" ], "accessTokenValidity" : 43200, "refreshTokenValidity" : 2592000, "consentPage" : { "applicationName" : { "ko" : "네이버 클라우드 플랫폼" }, "useLanguages" : [ "ko" ], "defaultLanguage" : "ko", "usePurposeDesc" : { "ko" : "로그인" }, "usePeriodDesc" : { "ko" : "365일" }, "dataTransferAbroad" : true, "dataTransferCountry" : { "ko" : "국가 이름" }, "dataRecipients" : { "ko" : "네이버 클라우드 플랫폼" }, "dataRecipientsContact" : { "ko" : "******@ncloud.com" } }, "protocol" : "OAUTH2" } ```